<template>
	<div v-if="$vuetify.breakpoint.smAndDown" class="fill">
		<task-dialog v-if="dialog.open" v-model="dialog.open" @input="onListUpdated()" />
		<div class="fab-container">
			<v-btn fab large color="primary" @click.stop="showDialog()">
				<v-icon>fa-plus</v-icon>
			</v-btn>
		</div>
	</div>
</template>

<script>
import TaskDialog from "@/components/TaskDialog";
import taskService from "@/mixins/TaskService";

export default {
	components: { TaskDialog },

	mixins: [taskService],

	data() {
		return {
			tasks: [],

			dialog: {
				open: false
			}
		};
	},

	created() {
		this.onListUpdated();
	},

	methods: {
		showDialog() {
			this.dialog.open = true;
		},

		onListUpdated() {
			this.taskService.findAll().then(t => {
				this.tasks = t;
				this.$emit("input", this.tasks);
			});
		}
	}
};
</script>

<style lang="scss" scoped>
.fab-container {
	position: fixed;
	bottom: 64px;
	right: 8px;
}
</style>
